×
Create a new article
Write your page title here:
We currently have 5 articles on Ura Tokyo Wiki. Type your article name above or click on one of the titles below and start writing!



Ura Tokyo Wiki

MediaWiki:Gadget-slider.css

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
@import url('https://fonts.googleapis.com/css2?family=Lora:wght@400;600;700&display=swap');

/* ---------- Custom Slider ---------- */

#SliderView {
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	-o-user-select: none;
	user-select: none;

	background: transparent;
	border-radius: 15px;
	height: auto;
	max-height: 415px !important;
	overflow: hidden;
	position: relative;
	text-align: center;
	width: 100%;
}

#SliderWrapper {
	position: relative;
	-webkit-transition: 1s;
	-moz-transition: 1s;
	-o-transition: 1s;
	transition: 1s;
	-webkit-transition-timing-function: cubic-bezier(.67, .01, .23, 1);
	-moz-transition-timing-function: cubic-bezier(.67, .01, .23, 1);
	-o-transition-timing-function: cubic-bezier(.67, .01, .23, 1);
	transition-timing-function: cubic-bezier(.67, .01, .23, 1);
}

#SliderWrapper,
#SliderWrapper ul,
#SliderWrapper li,
#NavBtns,
#NavBtns ul {
	margin: 0;
	padding: 0;
}

#NavBtns li {
	margin: 0;
}

.Sld {
	display: block;
	float: left;
	height: auto;
	list-style: none;
}

.SlideIMG {
	width: 100%;
	height: auto;
}

.SlideIMG img {
	display: block;
	height: auto;
	max-width: 100%;
	min-height: 100%;
	min-width: 100%;
	position: relative;
}

#NavBtns {
	display: block;
	height: 100%;
	position: absolute;
	width: auto;
}

.NavBtn {
	background: transparent;
	display: block;
	font-family: "Lora", serif;
	font-size: 24px;
	font-weight: 600;
	height: auto;
	list-style: none;
	padding: 10px 100px 10px 10px;
	position: relative;
	text-align: right;
	top: 0;
	width: auto;
}

/* ---------- Left ---------- */

.nmLeft {
	background: linear-gradient(to right, rgba(61, 61, 61, 0.8), rgba(61, 61, 61, 0.8), transparent);
	height: 100%;
	left: 0;
}

.nmLeft li {
	list-style: none;
	padding: 10px 100px 10px 10px;
}

.nmLeft li:hover {
	background: linear-gradient(to right, rgba(81, 81, 81, 0.8), rgba(81, 81, 81, 0.8), transparent);
	cursor: pointer;
}

.nbActiveLeft {
	background: linear-gradient(to right, rgba(111, 111, 111, 0.8), rgba(111, 111, 111, 0.8), transparent);
}

/* ---------- Right ---------- */

.nmRight {
	background: linear-gradient(to left, rgba(0, 65, 241, 0.5), rgba(0, 65, 241, 0.5), transparent);
	height: 100%;
	right: 0;
	text-align: left;
}

.nmRight li {
	color: #cfccb8;
	list-style: none;
	padding: 7px 10px 7px 100px;
}

.nmRight li:hover {
	background: linear-gradient(to left, #ffeb58, #ffeb58, transparent);
	cursor: pointer;
	text-shadow: 1px 1px 5px #000;
}

.nbActiveRight {
	background: linear-gradient(to left, #cfccb8, #cfccb8, transparent);
	text-shadow: 1px 1px 5px #000;
}

.NavBtn.nbActiveRight {
	color: white;
}

.NavBtn:hover {
	color: white;
}

/* ---------- Top ---------- */

.nmTop {
	background: linear-gradient(to bottom, rgba(61, 61, 61, 0.8), rgba(61, 61, 61, 0.8), transparent);
	text-align: left;
	top: 0;
	width: 100%;
}

.nmTop li {
	display: inline-block;
	list-style: none;
	padding: 10px 10px 20px 10px;
}

.nmTop li:hover {
	background: linear-gradient(to bottom, rgba(81, 81, 81, 0.8), rgba(81, 81, 81, 0.8), transparent);
	cursor: pointer;
}

.nbActiveTop {
	background: linear-gradient(to bottom, rgba(111, 111, 111, 0.8), rgba(111, 111, 111, 0.8), transparent);
}

/* ---------- Bottom ---------- */

.nmBottom {
	background: linear-gradient(to top, rgba(61, 61, 61, 0.8), rgba(61, 61, 61, 0.8), transparent);
	bottom: 0;
	text-align: left;
	width: 100%;
}

.nmBottom li {
	display: inline-block;
	list-style: none;
	padding: 20px 10px 10px 10px;
}

.nmBottom li:hover {
	background: linear-gradient(to top, rgba(81, 81, 81, 0.8), rgba(81, 81, 81, 0.8), transparent);
	cursor: pointer;
}

.nbActiveBottom {
	background: linear-gradient(to top, rgba(111, 111, 111, 0.8), rgba(111, 111, 111, 0.8), transparent);
}

/* ---------- Subtitle / Bottom Text ---------- */

.sl_info {
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	margin: 0;
	top: auto;

	background: rgba(0, 0, 0, 0.5);
	color: white;
	padding: 12px;
}

#SliderView img {
	display: block;
}